{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    GCT Portal
{% endblock %}

{% block rightPane %}
    {% if hour_avail_today %}
        <caption><h4 align="center" style="color: #122d2a; font-weight: bold"> Today's Class </h4></caption>
        {% if staff_account %}
            {% for each_hour in today_hours %}
                {% for each in each_hour.courses %}
                    <div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="listing listing-primary">
                                <div class="shape">
                                    <div class="shape-text">Hour {{ each_hour.hour }}</div>
                                </div>
                                <div class="listing-content">
                                    <h4 style="color: #000000">
                                        {% if each.course_id %}
                                            {{ each.course_id }} - {{ each.course_name }}
                                            {% if each.code %}
                                                ({{ each.code }})
                                            {% endif %}
                                        {% endif %}
                                        <span class="badge badge-primary">{{ each.year }}</span>
                                        <span class="badge badge-info">{{ each.programme }}</span>
                                    </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% endfor %}
        {% else %}
            {% for each_hour in today_hours %}

                <div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="listing listing-primary">
                            <div class="shape">
                                <div class="shape-text">Hour {{ each_hour.hour }}</div>
                            </div>
                            <div class="listing-content">
                                <h4 style="color: #000000">
                                    {% for each in each_hour.courses %}
                                        {% if not each.common %}
                                            {% if each.course_id %}
                                                {{ each.course_id }} - {{ each.course_name }}
                                                {% if each.code %}
                                                    ({{ each.code }})
                                                {% endif %}
                                            {% endif %}
                                        {% else %}
                                            {{ each.code }}
                                        {% endif %}
                                        {% for staff in each.staff_list %}
                                            <span class="badge badge-primary">{{ staff }}</span>
                                        {% endfor %}
                                    {% endfor %}
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>

            {% endfor %}
        {% endif %}
    {% endif %}

    <script type="text/javascript">
        {% if logged_first %}

            {% if request.session.last_visit == 'welcome' %}
                $(function () {
                    new PNotify({
                        title: false,
                        text: 'Welcome to GCT PORTAL',
                        type: 'success',
                        styling: 'bootstrap3',
                        min_height: "20px",
                        mobile: {'styling': true},

                    });
                });
            {% else %}
                $(function () {
                    new PNotify({
                        title: 'Last Login',
                        text: '{{ request.session.last_visit }}',
                        type: 'notice',
                        styling: 'bootstrap3',
                        mobile: {'styling': true},
                    });
                });

            {% endif %}
        {% endif %}

    </script>
{% endblock %}

